Page MenuHomePhabricator

Echo rendering issues on desktop Minerva, not usable on mobile
Closed, ResolvedPublic

Description

There are 2 problems with Echo on desktop Minerva (https://www.mediawiki.org/w/index.php?title=Readers&useskin=minerva)

  1. Icon becomes misaligned on click

  1. On mobile resolution the notifications disappear

Event Timeline

Restricted Application added a project: Growth-Team. · View Herald TranscriptDec 18 2019, 10:47 PM
Restricted Application added subscribers: Masumrezarock100, Aklapper. · View Herald Transcript

Change 541992 had a related patch set uploaded (by Jdlrobson; owner: Jdlrobson):
[mediawiki/extensions/Echo@master] Style improvements to Echo OOUI dialog in desktop Minerva

https://gerrit.wikimedia.org/r/541992

Change 541992 merged by jenkins-bot:
[mediawiki/extensions/Echo@master] Style improvements to Echo OOUI dialog in desktop Minerva

https://gerrit.wikimedia.org/r/541992

  1. The alignment has been improved (due to the nature of the image, the alignment is perceived as a little bit off).


  1. The notifications are visible now mobile (when the echo notifications flyout is present) - and it seems that T223609 has been fixed with that patch too.

However, during the testing some issues with the notifications counter were found - filed as T241865: Minerva desktop - issues with Echo notifications counter .

Etonkovidova closed this task as Resolved.Jan 3 2020, 11:33 PM
Etonkovidova claimed this task.

Change 571351 had a related patch set uploaded (by Esanders; owner: Esanders):
[mediawiki/extensions/Echo@master] Revert "Style improvements to Echo OOUI dialog in desktop Minerva"

https://gerrit.wikimedia.org/r/571351

kostajh reopened this task as Open.Feb 10 2020, 8:38 PM

Change 571351 merged by jenkins-bot:
[mediawiki/extensions/Echo@master] Revert "Style improvements to Echo OOUI dialog in desktop Minerva"

https://gerrit.wikimedia.org/r/571351

Jdlrobson renamed this task from Echo on desktop Minerva to Echo rendering issues on desktop Minerva, not usable on mobile.Feb 10 2020, 11:17 PM
Jdlrobson updated the task description. (Show Details)

Change 571389 had a related patch set uploaded (by Jdlrobson; owner: Jdlrobson):
[mediawiki/extensions/Echo@master] Properly scoped style improvements to Echo OOUI dialog in desktop Minerva

https://gerrit.wikimedia.org/r/571389

I've resubmitted the fix with CSS scoping.

Currently notifications will be unavailable to users of Minerva desktop using mobile site and I'd expect a few bug reports about that since Minerva desktop usage (and associated bug reports) does seem to be growing.

Change 571389 merged by jenkins-bot:
[mediawiki/extensions/Echo@master] Properly scoped style improvements to Echo OOUI dialog in desktop Minerva

https://gerrit.wikimedia.org/r/571389

Etonkovidova closed this task as Resolved.Feb 11 2020, 6:50 PM

Checked in betalabs - did not see any problems with Echo UI display with desktop Minerva.